@charset "utf-8";
/*------------------------------------------------*/
/*★ ページ専用スタイル設定 ★*/
/*------------------------------------------------*/
:root {
  --default-color-diamond-princess1: #0040d7;
  --default-color-diamond-princess2: #dfe4f0;
  --default-color-diamond-princess3: #9dadd4;
}
/*★ ＝＝ headerArea ＝＝ ★*/
.mv {
  --mv-bg-sp: url(/cruise/special/diamond-princess-2027gw/assets/images/mv_sp.jpg);
  --mv-bg-pc: url(/cruise/special/diamond-princess-2027gw/assets/images/mv_pc.jpg);
  .is-size-sp & {
    --mv-size-h: calc((490 / 375) * 100%);
  }
}
/*------------------------------------------------*/
/*★ ＝＝ mainArea ＝＝ ★*/
/*price*/
#price-special-plan {
  line-height: var(--default-font-lh-150);
  .price-special-plan__title {
    margin-bottom: clamp(12px, (12vw / 3.75), 16px);
  }
  .price-special-plan__lineup {
    display: grid;
    gap: var(--default-gap-24-20);
    @media (width > 640px) {
      grid-template-columns: repeat(2, 1fr);
    }
    @media (width > 1000px) {
      grid-template-columns: repeat(3, 1fr);
    }
  }
  .price-special-plan__lineup--item {
    display: flex;
    flex-direction: column;
    gap: var(--default-gap-8-4);
    border-radius: var(--default-radius-16);
    border: 2px solid var(--default-color-diamond-princess1);
    padding: var(--default-gap-24-20);
  }
  .price-special-plan__lineup--item--title {
    display: grid;
    border-bottom: 1px dashed var(--default-color-diamond-princess1);
    padding-bottom: var(--default-gap-12-8);
    font-weight: bold;
    .is-sub {
      font-size: var(--default-font-size-20-16);
      color: var(--default-color-primary);
    }
    .is-main {
      font-size: 25px;
      color: var(--default-color-diamond-princess1);
    }
  }
  .price-special-plan__lineup--item--service {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 4px;
    padding: var(--default-gap-8-4) 0;
    .price-special-plan__lineup--item--service--icon {
      --price-special-plan-icon-bg: var(--default-color-diamond-princess2);
      --price-special-plan-icon-color: var(--default-color-diamond-princess3);
      background-color: var(--price-special-plan-icon-bg);
      border-radius: var(--default-radius-8);
      .price-special-plan__lineup--item--service--icon--image {
        display: block;
        padding-top: 100%;
        background-color: var(--price-special-plan-icon-color);
      }
      &.is-active {
        --price-special-plan-icon-bg: var(--default-color-diamond-princess1);
        --price-special-plan-icon-color: var(--default-color-diamond-princess2);
      }
    }
  }
  .price-special-plan__lineup--item--points {
    .price-special-plan__lineup--item--point--title {
      font-weight: bold;
      color: var(--default-color-primary);
      margin-bottom: 8px;
    }
    .price-special-plan__lineup--item--point--lineup--item {
      display: grid;
      grid-template-columns: auto 1fr;
      gap: 4px;
      align-items: baseline;
      font-size: var(--default-font-size-14-12);
      &::before {
        content: '';
        width: 7px;
        height: 7px;
        background-color: var(--default-color-diamond-princess1);
        rotate: 45deg;
        translate: 0 -0.15em;
      }
      &:not(:first-child) {
        margin-top: 8px;
      }
    }
  }
  .price-special-plan__lineup--item--price {
    display: flex;
    flex-wrap: wrap;
    gap: 0 8px;
    justify-content: center;
    align-items: center;
    padding-top: var(--default-gap-12-8);
    font-weight: bold;
    .is-title {
      padding: 0 4px;
      font-size: var(--default-font-size-14-12);
      color: var(--default-color-white);
      background: var(--default-color-price);
      border-radius: var(--default-radius-4);
    }
    .is-price {
      color: var(--default-color-price);
      font-size: var(--default-font-size-20-16);
      .is-em {
        font-size: var(--default-font-size-26-18);
      }
    }
  }
}
/*port*/
#port {
  --port-section-bg-sp: url(/cruise/special/diamond-princess-2027gw/assets/images/port_bg_sp.webp);
  --port-section-bg-pc: url(/cruise/special/diamond-princess-2027gw/assets/images/port_bg_pc.webp);
  --port-title-color: var(--default-color-white);
  --port-text-shadow-color: var(--default-color-black);
}
/*------------------------------------------------*/
/*★ ＝＝ hover ＝＝ ★*/
@media (hover: hover) and (pointer: fine) {
}
